QT       += core gui serialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets printsupport

greaterThan(QT_MAJOR_VERSION, 4): CONFIG += c++11
lessThan(QT_MAJOR_VERSION, 5): QMAKE_CXXFLAGS += -std=c++11
QMAKE_CXXFLAGS += "-Wa,-mbig-obj"

CONFIG += c++17

QXLSX_PARENTPATH=$$PWD/QXlsx/
QXLSX_HEADERPATH=$$PWD/QXlsx/header/
QXLSX_SOURCEPATH=$$PWD/QXlsx/source/
include($$PWD/QXlsx/QXlsx.pri)

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    anawidget.cpp \
    combobox.cpp \
    ctlwidget.cpp \
    excelworker.cpp \
    main.cpp \
    mainwidget.cpp \
    mainwindow.cpp \
    menubar.cpp \
    plotwidget.cpp \
    qcustomplot.cpp \
    realwidget.cpp \
    samplewidget.cpp \
    serialworker.cpp \
    thermalwidget.cpp

HEADERS += \
    anawidget.h \
    combobox.h \
    ctlwidget.h \
    dragqcptext.h \
    excelworker.h \
    mainwidget.h \
    mainwindow.h \
    menubar.h \
    plotwidget.h \
    qcustomplot.h \
    realwidget.h \
    samplewidget.h \
    serialworker.h \
    thermalwidget.h

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

RESOURCES += \
    tangous.qrc

RC_FILE += yuntang.rc

#DISTFILES += \
 #   tangous.rc

#RC_ICONS = favicon.ico


